Subject: Re: bug#22991: 25.0.92: C-u C-s does not display "Regexp I-search:" in the echo area

From: Juri Linkov <[email-masked]>
Date: Sun, 13 Mar 2016 00:40:32 +0200

> 1. I agree with Michael in this case.  The prompt should
> faithfully reflect the current search state/mode - until we
> find a better way to convey that information.  In any case,
> the prompt should not mislead by reflecting a different
> search behavior from what is current.

Reflecting all current search states might produce overly long
default prompts as

  Character-folding case-folding whitespace-folding I-search:

>> 4. All of that said, I think that we really need to find
>> some _other way than the prompt_ to indicate, completely,
>> the search state.  And then the prompt can perhaps just be
>> something like "Isearch" in all cases.  The prompt is not
>> adequate for conveying just what the current search state is.
>
> Something that I think should be available, starting now, is
> an Isearch key binding that describes the current search state
> _completely_, much as `C-u C-x =' describes the char at point.
>
> This state information should be on prefix key `C-h'.  It
> could be on a new key on that prefix or it could simply be
> added to `isearch-describe-mode' - the key could be `C-h m'.

Or an option/state (say, ‘isearch-message-verbose’) toggleable
with ‘isearch-toggle-message-verbose’ like other states
(e.g. ‘isearch-toggle-case-fold’) that will toggle between
displaying full/brief state description in the prompt.